 .battleTimer {
   min-width: 100px;
   position: absolute;
   /* top: 220px; */
   left: 50%;
   right: 50%;
   transform: translate(-50%, -10%);
   color: #ffffff;
   font-size: 34px;
   font-weight: 600;
 }

 .his_red {
   color: #f1416c;
 }

 .his_blue {
   color: #009ef7;
 }

 .circlebattle {
   transform: scale(.5);
   margin-top: -115px;
 }

 .battleBank {
   min-width: 200px;
   position: absolute;
   top: 250px;
   left: 50%;
   right: 50%;
   transform: translate(-40%, -50%);
   color: #000;
   font-size: 30px;
   font-weight: 600;
 }

 .battleBank .blue {
   color: #4986f5;
 }

 .battleBank .red {
   color: #e86376;
 }

 .bets {
   margin: 0 auto;
 }

 .x50 {
   display: flex;
   justify-content: space-around;
   align-items: center;
 }

 @media (max-width: 1080px) {
   .x50 {
     flex-wrap: wrap;
     justify-content: center;
   }
 }

 .x50 .roulette {
   width: 585px;
   height: 250px;
   margin-top: 30px;
   position: relative;
   overflow: hidden;
 }

 .x50 .roulette .outline {
   width: 584px;
   height: 584px;
   position: absolute;
   left: 0;
   top: 0;
   border: 6px solid #d3d9f3;
   border-radius: 50%;
   box-shadow: inset 0px 40px 20px 0px rgba(211, 217, 243, 0.52);
 }

 .x50 .roulette .outline::after {
   content: '';
   position: absolute;
   left: -4px;
   right: 11px;
   top: 142px;
   display: block;
   backdrop-filter: blur(1px);
   height: 105px;
   width: 1000px;
   box-shadow: inset 0 -50px 40px 2px white;
 }

 .x50 .roulette .outline .outline-2 {
   width: 400px;
   height: 400px;
   position: absolute;
   left: 0;
   top: 0;
   right: 0;
   bottom: 20px;
   margin: auto;
   border: 1px solid #d3d9f3;
   border-radius: 50%;
 }

 .x50 .roulette .outline .outline-2 .cursor {
   position: absolute;
   left: 0;
   right: 0;
   margin: auto;
   top: -20px;
 }

 .x50 .roulette .outline .outline-2 .info {
   text-align: center;
   padding: 35px 0;
   z-index: 1;
   position: relative;
 }

 .x50 .roulette .outline .outline-2 .info .description {
   color: #9ea5c5;
   font-size: 15px;
 }

 .x50 .roulette .outline .outline-2 .info .timer {
   display: flex;
   align-items: center;
   justify-content: center;
   font-size: 22px;
   font-weight: 500;
   margin: 10px 0;
 }

 .x50 .roulette .outline .outline-2 .info .timer img {
   margin-right: 5px;
 }

 .x50 .roulette .outline .outline-2 .info .rez-stat {
   position: absolute;
   left: 50%;
   z-index: 3;
   -webkit-transform: translateX(-50%);
   transform: translateX(-50%);
   display: flex;
   align-items: center;
   height: 45px;
 }

 .x50 .roulette .outline .outline-2 .info .rez-stat .rez-stat__item {
   width: 6px;
   margin-right: 7px;
   border-radius: 14px;
   padding: 0;
   border: none;
 }

 .x50 .roulette .outline .outline-2 .info .rez-stat .rez-stat__item.rez-stat__item--red {
   background-color: #3cc54e;
   height: 20px;
 }

 .x50 .roulette .outline .outline-2 .info .rez-stat .rez-stat__item.rez-stat__item--black {
   background-color: #43548a;
   height: 14px;
 }

 .x50 .roulette .outline .outline-2 .info .rez-stat .rez-stat__item.rez-stat__item--yellow {
   background-color: #e19625;
   height: 32px;
 }

 .x50 .roulette .outline .outline-2 .info .rez-stat .rez-stat__item.rez-stat__item--red {
   background-color: #4986f5;
   height: 20px;
 }

 .x50 .roulette .outline .outline-2 .info .rez-stat .rez-stat__item.rez-stat__item--green {
   background-color: #e86376;
   height: 45px;
 }

 .x50 .form {
   width: 417px;
 }

 @media (max-width: 1080px) {
   .x50 .form {
     width: 100%;
   }
 }

 .x50 .form input {
   border: 1px solid #ced4da;
   border-radius: 4px;
   margin-bottom: 10px;
   width: 100%;
   font-size: 24px;
   text-align: center;
   font-weight: 500;
   padding: 8px;
 }

 .x50 .form .hash {
   margin-top: 25px;
   text-align: center;
   word-break: break-all;
   color: #6c757d;
 }

 .x50 .form .hash .title {
   margin-bottom: 10px;
 }

 .x50 .form .hash span {
   font-size: 13px;
 }

 .x50 .form .hash a {
   display: block;
   color: black;
   margin-top: 20px;
   position: relative;
 }

 .x50 .form .hash a:hover {
   opacity: 0.7;
 }

 .x50 .form .hash a img {
   vertical-align: middle;
   margin-left: 5px;
 }

 .x50 .form .badges {
   display: flex;
 }

 .x50 .form .badges .badge {
   width: calc(100% / 7);
   color: #6c757d;
   border: 1px solid #6c757d;
   border-radius: 4px;
   font-size: 14px;
   text-align: center;
   display: block;
   cursor: pointer;
   padding: 7px 0;
   margin-right: 5px;
   background: #fff;
   height: 30px;
 }

 .x50 .form .badges .badge:last-child {
   margin-right: 0px;
 }

 .x50 .form .badges .badge:hover {
   opacity: 0.7;
 }


 .bets-x50 .bets-block {
   width: 50%;
   margin: .5rem;
   background: #1b1b21;
   border-radius: 1rem;
   max-height: max-content;
 }

 .bets-x50 .bets-block button {
   width: 100%;
   padding: 13px 17px;
   color: white;
   display: flex;
   align-items: center;
 }

 .bets-x50 .bets-block button.button-black {
   background-color: #43548a;
 }

 .bets-x50 .bets-block button.button-red {
   background-color: #3cc54e;
 }

 .bets-x50 .bets-block button.button-yellow {
   background-color: #e19625;
 }

 .bets-x50 .bets-block button.button-green {
   background-color: #cd2e2e;
 }

 .bets-x50 .bets-block button:hover {
   opacity: 0.8;
 }

 .bets-x50 .bets-block button span {
   font-size: 18px;
 }

 .bets-x50 .bets-block button span.type {
   width: 50%;
   text-align: left;
 }

 .bets-x50 .bets-block button span.price {
   width: 50%;
   display: flex;
   align-items: center;
   justify-content: flex-end;
 }

 .bets-x50 .bets-block button span.price img {
   margin-right: 5px;
 }


 .bets-x50 .bets-block .bets .bet {
   display: flex;
   align-items: center;
   white-space: nowrap;
   padding: 14px;
   justify-content: space-between;
 }

 .bets-x50 .bets-block .bets .bet:last-child {
   margin-bottom: 0px;
 }

 .bets-x50 .bets-block .bets .bet .profile {
   width: 50%;
   display: block;
   overflow: hidden;
   text-overflow: ellipsis;
   white-space: nowrap;
   word-break: break-all;
   align-items: center;
   display: flex;
 }

 .bets-x50 .bets-block .bets .bet .profile img {
   width: 44px;
   height: 44px;
   border-radius: 10px;
 }

 .bets-x50 .bets-block .bets .bet .bet-info {
   text-align: right;
   font-size: 18px;
   font-weight: 500;
 }

 /* !! GAMES CARDS !! */
 .games {
   justify-content: center;
   margin-bottom: 10px
 }

 .game,
 .games {
   display: flex;
   width: 100%;
   height: 48px
 }

 .game {
   align-items: center;
   padding: 3px;
   flex: 1;
   flex-shrink: 0;
   background: #f7f7f7;
   margin-left: 5px;
   opacity: .6;
   border: 1px solid #dfdfdf;
   border-radius: 5px;
   cursor: pointer;
   transition: all .12s ease-in-out;
   box-sizing: border-box
 }

 .game:first-child {
   margin-left: 0
 }

 .game img {
   width: 20px;
   height: 20px;
   margin-left: 5%
 }

 .game label {
   cursor: pointer;
   font-size: 18px;
   margin: 0 0 0 5%
 }

 .game label span {
   font-size: 13px;
   color: #f03333
 }

 .game.active,
 .game:hover {
   opacity: 1
 }



 @media only screen and (max-width: 991px) {
   .game {
     align-items: center;
     justify-content: center
   }

   .game label {
     display: none
   }
 }

 @media only screen and (max-width: 1199px) {
   .game img {
     width: 24px !important;
     height: 24px !important
   }

   .game label {
     font-size: 16px
   }

   .game label span {
     display: none !important
   }
 }

 .game {
   transition: 0.5s;
 }

 .game.active {
   background: #fff;
   pointer-events: none;
 }

 .game.inactive {
   pointer-events: none;
 }

 #games-place {
   transition: 0.5s;
 }

 .coin-bet {
   width: 14px;
   height: 14px;
 }

 .bets-block button {
   border: none;
 }

 .rez-stat__item button {
   border: none;
 }

 .btn-info,
 .btn-success,
 .btn-info:hover,
 .btn-success:hover,
 .btn-info:focus,
 .btn-success:focus {
   background: none;
   border: 1px solid #dfdfdf;
   color: #000;
   box-shadow: none;
   outline: none;
 }

 .depositBlock.active {
   /*transition: 0.2s;*/
   border-bottom: 2px solid #206bc4;
   ;
 }

 .teambattle-red {
   background: #e73056;
 }

 .teambattle-blue {
   background: #0077ff;
 }

 .history_history {
   position: absolute;
   top: 60px;
   left: 25px;
   z-index: 999;
   width: 100%;
   padding: 0px !important;
   border: 0px !important;
   gap: 5px;
   width: max-content;
   transform: scale(.5);
   display: grid !important;
 }

 .bets-x50 {
   display: flex;
   flex-wrap: nowrap;
 }

 #blue_factor {
  width: max-content;
   padding: 8px 14px;
   border-radius: 10px;
   background: #0077ff;
   margin-right: auto;
   font-size: 14px;
 }

 #red_factor {
  width: max-content;
   padding: 8px 14px;
   border-radius: 10px;
   background: #e73056;
   margin-right: auto;
   font-size: 14px;
 }